// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: RealPileupCorrector
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: RealPileupCorrector.h,v 1.2 2010/03/23 08:36:09 rsaxton Exp $

#ifndef RealPileupCorrector_H
#define RealPileupCorrector_H

// General classes

#include <iostream>

// SAS-specific classes

// General utility functions
#include "Tracer.h"

// Local classes
#include "PileupCorrector.h"

// ===========================================================================

// class RealPileupCorrector

// Abstract class for RealPileupCorrector objects

// ===========================================================================

class RealPileupCorrector : public PileupCorrector
{
public:

  //  Constructors 
  RealPileupCorrector()
    {
      PROC;
      errstr << " Real Pileup Corrector being used. " 
	     << Sas::message(Msg::App,Msg::Verbose);
      ENDPROC;
    };

  //  Destructors 
  ~RealPileupCorrector(){PROC; ENDPROC;}

  double correction( double /* energy */, double /* spatialDensity */) const
    {
      PROC;
	
      double unaffected_fraction=1.0;

     /* Here we call the PileUpRateMap */

      RETURN unaffected_fraction;
    }
};
#endif
